9.4. Encodage au format vidéo Sony PSP
Précédent | Chapitre 9. Utilisation basique de MEncoder | Suivant

## 9.4. Encodage au format vidéo Sony PSP

MEncoder supporte l'encodage au format Sony PSP. Cependant les contraintes peuvent différer suivant la version actuelle du logiciel PSP. Le respect des contraintes suivantes devrait vous permettre d'encoder sans problème :

- Débit vidéo: il ne devrait pas être supérieur à 1500kbps. Cependant, les dernières versions supportent presque tous les débits tant que l'en-tête rapporte une valeur raisonable.

- Dimensions: la largeur et la hauteur de la video PSP doivent être multiples de 16 et le produit largeur * hauteur doit être <= 64000. Dans certaines circonstances, la PSP est capable de lire des résolutions supérieures.

- Audio: le taux d'échantillonage doit être fixé à 24kHz pour les vidéos MPEG-4 et à 48kHz pour les H.264.

Exemple 9.4. Encodage pour PSP

    mencoder -ofps 30000/1001 -af lavcresample=24000 -vf harddup -oac lavc \
        -ovc lavc -lavcopts aglobal=1:vglobal=1:vcodec=mpeg4:acodec=libfaac \
        -of lavf -lavfopts format=psp \
        entree.video -o sortie.psp

Vous pouvez définir le titre de la vidéo avec `-info name=`TitreDuFilm``.

Précédent | Niveau supérieur | Suivant
9.3. Encodage MPEG-4 deux passes ("DivX") | Sommaire | 9.5. Encodage au format MPEG